jQuery(document).ready(function ($) {
    const $forteecom_widget = $('#forteecom-widget-btn');
    $forteecom_widget.bind('statusChanged', function ($event) {
        if ($event.detail !== "DEFAULT") {
            $('.forteecom_overlay').fadeIn();
            $('#forteecom_order_status').val($event.detail);
            $("#forteecom_checkout_form").submit();
        }
    });
    $forteecom_widget.bind('cardSaved', function ($event) {
        $.ajax({
            method: 'POST',
            url: $forteecom_widget.attr('notify-url'),
            data: {
                type: 'CardSaved',
                data: {
                    card_token: $event.detail.data.data.token,
                    card_last4: $event.detail.data.maskedPAN,
                    card_expiry_month: $event.detail.data.expMonth,
                    card_expiry_year: $event.detail.data.expYear,
                    card_type: $event.detail.data.cardProvider,
                }
            }
        });
    });

    $forteecom_widget.bind('paymentRetried', function ($event) {
        $forteecom_widget.trigger('togglePayWindow');
        $('.forteecom_overlay').fadeIn();
        $.ajax({
            method: 'POST',
            url: $forteecom_widget.attr('notify-url'),
            data: {
                type: 'PaymentRetried',
                data: {
                    orderId: $forteecom_widget.attr("order-id"),
                    sessionId: $forteecom_widget.attr("session-id"),
                    remoteId: $forteecom_widget.attr("remote-id")
                }
            }
        }).done(function(data){
            const new_data = JSON.parse(data);
            $forteecom_widget.attr("session-id", new_data.sessionId);
            $forteecom_widget.attr("order-id", new_data.orderId);
            $forteecom_widget.trigger('togglePayWindow');

            $('#forteecom_session_id').val(new_data.sessionId);
            $('#forteecom_order_id').val(new_data.orderId);
        }).always(function () {
            $('.forteecom_overlay').fadeOut();
        });;
    });
});
